unit fra_adressen;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, DBGrids, DBCtrls, ComCtrls,
  StdCtrls, Graphics, Grids,  dtm_adressen,globalvars;

type

  { TfraAdressen }

  TfraAdressen = class(TFrame)
    DBEdit1: TDBEdit;
    DBEdit10: TDBEdit;
    DBEdit11: TDBEdit;
    DBEdit12: TDBEdit;
    DBEdit13: TDBEdit;
    DBEdit2: TDBEdit;
    DBEdit3: TDBEdit;
    DBEdit4: TDBEdit;
    DBEdit5: TDBEdit;
    DBEdit6: TDBEdit;
    DBEdit7: TDBEdit;
    DBEdit8: TDBEdit;
    DBEdit9: TDBEdit;
    DBGrid1: TDBGrid;
    dblAdressArt: TDBLookupComboBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    lAnrede: TLabel;
    pcAdressen: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    tedSuche: TEdit;
    procedure DBGrid1DblClick(Sender: TObject);
    procedure DBGrid1DrawColumnCell(Sender: TObject; const Rect: TRect; DataCol: integer; Column: TColumn; State: TGridDrawState);
    procedure tedSucheKeyPress(Sender: TObject; var Key: char);
  private
    { private declarations }
  public
    { public declarations }
  end;

implementation

{$R *.lfm}

{ TfraAdressen }

procedure TfraAdressen.DBGrid1DrawColumnCell(Sender: TObject; const Rect: TRect; DataCol: integer; Column: TColumn; State: TGridDrawState);
var
  CIndex: integer;
begin
  CIndex := dtmAdressen.qryAdressenadress_art.AsInteger;
  if (gdSelected in State) or (gdFocused in State) then
    TDBGrid(Sender).Canvas.Brush.Color := clrHighlight[CIndex]
  else
    TDBGrid(Sender).Canvas.Brush.Color := clrNormal[CIndex];
  TDBGrid(Sender).Canvas.FillRect(Rect);
  TDBGrid(Sender).DefaultDrawColumnCell(Rect, DataCol, Column, State);
end;

procedure TfraAdressen.DBGrid1DblClick(Sender: TObject);
begin
  pcAdressen.TabIndex := 1;
end;

procedure TfraAdressen.tedSucheKeyPress(Sender: TObject; var Key: char);
var
  Suchtext: string;
begin
  if Key = #13 then // #13 =Enter
  begin
    Key := #0;
    dtmAdressen.qryAdressen.Close;
    dtmAdressen.qryAdressen.SQL.Clear;
    Suchtext := '(adress_name1 like "%' + tedSuche.Text + '%") or (adress_name3 like "%' + tedSuche.Text +
      '%") or (adress_name4 like "%' + tedSuche.Text + '%") or (adress_zusatz like "%' + tedSuche.Text + '%")';
    dtmAdressen.qryAdressen.SQL.Text := 'Select * from adressen where ' + Suchtext + ' order by adress_name3,adress_name1';
    dtmAdressen.qryAdressen.Open;
    tedSuche.SetFocus;
  end;
end;

end.




